#include <iostream>
#include <string>
using namespace std;

int main(){
	string n;
	int x = 0;
	cin >> n;
	for(int i=0; i<n.size()-1; i++){
		int razl = 0;
		for(int j=i; j<n.size(); j++){
			if(n[i]==n[j] && j!=i+1 && razl>0){
				x++;
				razl=0;
				if(n[i]!=n[i+1])
					n[i+1] = n[i];
				else if(n[j]!=n[j-1])
					n[j-1] = n[j];
				else{
					n[i+1] = n[i];
					n[j-1] = n[j];
					x++;
				}
			}
			else if(n[i]!=n[i+1] && n[j]!=n[j-1]){
				razl++;	
			}
		}
	}
	cout << x;
}